//
//  ViewController.m
//  IGSlideTabTesting
//
//  Created by Torrey Betts on 1/26/16.
//  Copyright (c) 2016 Torrey Betts. All rights reserved.
//

/*
 * todo: Hide tabs during device rotation
 */

#import <IG/IG.h>
#import "ViewController.h"


@interface ViewController () <IGSlideTabDelegate>
{
    IGSlideTabView *_igSlideTabView;
    IGSlideTabItem *_igSlideTabItem1, *_igSlideTabItem2;
}
@end

@implementation ViewController


- (void)viewDidLoad
{
    [super viewDidLoad];

    [self initSlideTab];
}

- (BOOL)prefersStatusBarHidden
{
    return YES;
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
}

- (void)initSlideTab
{
    _igSlideTabView = [[IGSlideTabView alloc] initWithFrame:self.view.bounds];
    _igSlideTabView.autoresizingMask = UIViewAutoresizingFlexibleHeight|UIViewAutoresizingFlexibleWidth;
    _igSlideTabView.delegate = self;
    [self.view addSubview:_igSlideTabView];

    _igSlideTabView.backgroundColor = [UIColor colorWithWhite:0.8 alpha:1];
    _igSlideTabView.contentAreaView.backgroundColor = [UIColor colorWithWhite:0.9 alpha:1];
    _igSlideTabView.useTabPadding = YES;

    _igSlideTabItem1 = [IGSlideTabItem tabWithLocation:IGSlideTabLocationRight title:@"Tab 1" tabView:nil contentView:nil];
    _igSlideTabItem1.contentSize = [IGSlideTabContentSize sizeWithWidth:500 height:500];
    [_igSlideTabView addTab:_igSlideTabItem1];

    _igSlideTabItem2 = [IGSlideTabItem tabWithLocation:IGSlideTabLocationRight title:@"Tab 2" tabView:nil contentView:nil];
    _igSlideTabItem2.tabColor = [UIColor orangeColor];
    _igSlideTabItem2.contentSize = [IGSlideTabContentSize sizeWithWidth:500 height:500];
    _igSlideTabItem2.tabPosition = _igSlideTabItem1.tabSize.height + 5;
    [_igSlideTabView addTab:_igSlideTabItem2];
}

- (void)slideTabView:(IGSlideTabView *)slideTabView tab:(IGSlideTabItem *)tab layoutForBounds:(CGRect)bounds
{
    _igSlideTabItem2.tabPosition = _igSlideTabItem1.tabSize.height + 5;
}

@end